<?php
namespace Incoviba\nuevo\Venta;

use Incoviba\Common\Alias\NewEstado;

/**
 * 
 * @author Aldarien
 * @property Observacion observacion_id
 * @property TipoEstadoObservacion tipo_estado_observacion_id
 *
 */
class EstadoObservacion extends NewEstado
{
	protected static $_table = 'estado_observaciones';
	
	public function observacion()
	{
		return $this->belongs_to(Observacion::class, 'observacion_id')->findOne();
	}
	public function tipo()
	{
		return $this->belongs_to(TipoEstadoObservacion::class, 'tipo_estado_observacion_id')->findOne();
	}
}
?>